Products
Update product
https://rcur.app/api/v2/products/{id}
Requires your API key as Authorization: Bearer <key>. See authentication.
Path parameters
-
idstring required
Request body
application/jsonProduct data to update
-
namestringProduct name
-
amountnumberProduct amount
-
vatnumberVAT percentage
-
intervalstringInterval (required for subscription type)
One of
dayweekmonthyear -
interval_valueintegerInterval value (required for subscription type)
-
timesintegerNumber of payments (null = infinite)
-
woocommerce_product_idintegerWooCommerce product ID
Responses
200 Product details Product object
-
idstring required -
namestring required -
typestring requiredOne of
oncesubscriptionshipping_costs -
amountstring required -
currencystring required -
intervalstring nullable -
timesinteger nullable -
wc_product_idinteger nullable
404 Resource not found Error object
-
statusinteger required -
errorstring required
422 Validation error ValidationError object
-
statusinteger required -
errorstring required -
fieldsobject